/*
 * usb_it.c
 *
 *  Created on: May 15, 2012
 *      Author: tkl
 */
#include "usb_core.h"
#include "usbd_core.h"
#include "usbd_cdc_core.h"
#include "usb_dcd_int.h"

#include "usb_vport.h"

void OTG_FS_WKUP_IRQHandler(void) {
    if(USB_OTG_dev.cfg.low_power) {
        *(uint32_t *)(0xE000ED10) &= 0xFFFFFFF9 ;
// TODO!!!
//        SystemInit();
        USB_OTG_UngateClock(&USB_OTG_dev);
    }
    EXTI_ClearITPendingBit(EXTI_Line18);
}

void OTG_FS_IRQHandler(void) {
    USBD_OTG_ISR_Handler (&USB_OTG_dev);
}

